JcaSignedPublicKeyAndChallenge (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.mozilla.jcajce

## Class JcaSignedPublicKeyAndChallenge

- java.lang.Object
- - org.bouncycastle.mozilla.SignedPublicKeyAndChallenge
  - - org.bouncycastle.mozilla.jcajce.JcaSignedPublicKeyAndChallenge

- All Implemented Interfaces:
    org.bouncycastle.util.Encodable

      public class JcaSignedPublicKeyAndChallenge
      extends SignedPublicKeyAndChallenge

  This is designed to parse the SignedPublicKeyAndChallenge created by the KEYGEN tag included by Mozilla based browsers.

        PublicKeyAndChallenge ::= SEQUENCE {
          spki SubjectPublicKeyInfo,
          challenge IA5STRING
        }

        SignedPublicKeyAndChallenge ::= SEQUENCE {
          publicKeyAndChallenge PublicKeyAndChallenge,
          signatureAlgorithm AlgorithmIdentifier,
          signature BIT STRING
        }

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.mozilla.SignedPublicKeyAndChallenge

      `spkacSeq`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcaSignedPublicKeyAndChallenge(byte[] bytes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.security.PublicKey` | `getPublicKey()`
    `JcaSignedPublicKeyAndChallenge` | `setProvider(java.security.Provider provider)`
    `JcaSignedPublicKeyAndChallenge` | `setProvider(java.lang.String providerName)`

    - ### Methods inherited from class org.bouncycastle.mozilla.SignedPublicKeyAndChallenge

      `getChallenge, getEncoded, getPublicKey, getPublicKeyAndChallenge, getSubjectPublicKeyInfo, isSignatureValid, toASN1Primitive, toASN1Structure, verify, verify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcaSignedPublicKeyAndChallenge

          public JcaSignedPublicKeyAndChallenge(byte[] bytes)

  - ### Method Detail

    - #### setProvider

          public JcaSignedPublicKeyAndChallenge setProvider(java.lang.String providerName)

    - #### setProvider

          public JcaSignedPublicKeyAndChallenge setProvider(java.security.Provider provider)

    - #### getPublicKey

          public java.security.PublicKey getPublicKey()
                                               throws java.security.NoSuchAlgorithmException,
                                                      java.security.NoSuchProviderException,
                                                      java.security.InvalidKeyException

      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.NoSuchProviderException`
        `java.security.InvalidKeyException`